This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 35059 - starting KDE2 causes machine to hang during/after "Initializing Peripherals"
starting KDE2 causes machine to hang during/after "Initializing Peripherals"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-06 15:47 EDT by Douglas Kilpatrick
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-07 01:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas Kilpatrick 2001-04-06 15:47:38 EDT
If I boot a (wolverine updated-to-April-5-rawhide) system under kernel
2.4.2-0.1.49 and start KDE2 from kdm on a Dell Optiplex (i810 based), the
machine locks hard during KDE initialization.  The initialization sequence
stops at the mouse/keyboard icon. (that is, the mouse-keyboard
"Initializing peripherals" icon does NOT change into the finished icon). 
The machine does not repond to pings, and a hard-reset is required... After
which /var has errors and has to be manually fsck'd.

If I boot 2.4.1-0.1.9, the system starts KDE fine.

I tried running the xset's that should be equivilent to what KDE is doing
(turn on repeat, set the mouse acceleration), but they had no effect. 
Suggestions on how to figure out where its hanging?
Comment 1 Arjan van de Ven 2001-04-06 15:49:30 EDT
Doug: does this look like the issues you looked at?
Comment 2 Doug Ledford 2001-04-07 01:49:27 EDT
Very much so.  This is an i810 audio driver bug that results in the lockup. 
I've not been able to reproduce the actual lockup, but I did solve a problem
with KDE and the i810 audio driver when KDE sounds were enabled in kernel
version 0.1.51.  Once that kernel makes it into rawhide, please test this again
with that kernel and see if the problem still exists.

Note You need to log in before you can comment on or make changes to this bug.